Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

Could not resolve dependencies for project com.adobe.training:company-core:bundle:0.0.1

Avatar

Avatar
Validate 1
Level 1
coreym89078266
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile

Avatar
Validate 1
Level 1
coreym89078266
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
coreym89078266
Level 1

19-06-2018

I am trying to run a mvn clean install and am getting this error message during the company-core installation:

[ERROR] Failed to execute goal on project company-core: Could not resolve dependencies for project com.adobe.training:company-core:bundle:0.0.1-SNAPSHOT: Failed

to collect dependencies at com.day.cq:cq-replication:jar:5.4.2: Failed to read artifact descriptor for com.day.cq:cq-replication:jar:5.4.2: Could not transfer

artifact com.day.cq:cq-replication:pom:5.4.2 from/to central (https://repo.maven.apache.org/maven2): Received fatal alert: protocol_version -> [Help 1]

I am unable to find a whole lot of documentation on this specific issue, so any help is much appreciated!

Thanks!

Replies

Avatar

Avatar
Validate 25
Level 10
smacdonald2008
Level 10

Likes

1,408 likes

Total Posts

12,671 posts

Correct Reply

2,278 solutions
Top badges earned
Validate 25
Validate 10
Validate 1
Give back 900
Give back 600
View profile

Avatar
Validate 25
Level 10
smacdonald2008
Level 10

Likes

1,408 likes

Total Posts

12,671 posts

Correct Reply

2,278 solutions
Top badges earned
Validate 25
Validate 10
Validate 1
Give back 900
Give back 600
View profile
smacdonald2008
Level 10

19-06-2018

Are you building a custom project. Looks like in your POM - you are trying to reference a 3rd party JAR that is not part of the Adobe Repository. This is not an available bundle in the Adobe Repo - com.adobe.training:company-core:bundle

Avatar

Avatar
Validate 25
Level 10
smacdonald2008
Level 10

Likes

1,408 likes

Total Posts

12,671 posts

Correct Reply

2,278 solutions
Top badges earned
Validate 25
Validate 10
Validate 1
Give back 900
Give back 600
View profile

Avatar
Validate 25
Level 10
smacdonald2008
Level 10

Likes

1,408 likes

Total Posts

12,671 posts

Correct Reply

2,278 solutions
Top badges earned
Validate 25
Validate 10
Validate 1
Give back 900
Give back 600
View profile
smacdonald2008
Level 10

19-06-2018

Are you following an artilce to build the OSGi bundle - if so - can you reference it please.

Avatar

Avatar
Validate 1
Level 1
coreym89078266
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile

Avatar
Validate 1
Level 1
coreym89078266
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
coreym89078266
Level 1

19-06-2018

I was trying to import the sample project that is referenced in the AEM 6.1 Back-End Development video course. Am i possibly running into issues because I am running AEM 6.4 and the videos are referencing AEM 6.1?

Avatar

Avatar
Coach
MVP
Arun_Patidar
MVP

Likes

1,345 likes

Total Posts

3,220 posts

Correct Reply

914 solutions
Top badges earned
Coach
Contributor 2
Ignite 10
Give Back 700
Boost 1000
View profile

Avatar
Coach
MVP
Arun_Patidar
MVP

Likes

1,345 likes

Total Posts

3,220 posts

Correct Reply

914 solutions
Top badges earned
Coach
Contributor 2
Ignite 10
Give Back 700
Boost 1000
View profile
Arun_Patidar
MVP

19-06-2018

Can you please try to make the changes in M2_HOME/conf/settings.xml like below

Creating an Adobe Experience Manager 6.3 Project using Adobe Maven Archetype 11

make sure profile should be active in settings.xml

<activation>

     <activeByDefault>true</activeByDefault>

</activation>

if you already have same changes try to run install command with  mvn clean install -Padobe-public

Thanks

Arun